Confirm Order
Atlas API orderCommit.do reference for confirming an eligible order before payment in supported booking flows.
Use Confirm Order as the primary name in guides and links.
This API maps to orderCommit.do.
Legacy materials may call it Order Commit.
This API is only required in the FR integration process. After create an order and before payment, you need to call this API to obtain the link of the FR order confirmation page and display it to users. Users should confirm the order through this page, and finally customer pay to Atlas.
Endpoint: https://sandbox.atriptech.com/orderCommit.do
application/jsonapplication/jsongzipExample: gzip<YOUR_CLIENT_ID>Example: <YOUR_CLIENT_ID><YOUR_CLIENT_SECRET>Example: <YOUR_CLIENT_SECRET>Order number
The redirect localtion to which when users confirm an order on the
FR's confirmation page. If you choose to display the confirmation page in Popup mode, please specify this.
If you want to display the FR's order confirmation page in iframe mode, please specify iframe=true, and in this case, the redirectUri will be ignored.
Maximum response time of the API in milliseconds.
8000- 307: illegal booking request param
- 800: order not exists
- 316: timed out
- 317: airline error
It serves as an additional description of the response result. Especially when the interface reports an error (status !=0), it is usually a human-readable error message. Note: Do not use this field in any programming scenarios. For example, do not judge whether the interface responds successfully based on this field. Instead, you should only determine it by checking whether the status is equal to0at any time.
The FR order confirmation page link.
POST /orderCommit.do HTTP/1.1
Accept: text
Accept-Encoding: gzip
x-atlas-client-id: <YOUR_CLIENT_ID>
x-atlas-client-secret: <YOUR_CLIENT_SECRET>
Content-Type: application/json
Content-Length: 113
{
"orderNo": "AMSEA20250816154139093",
"redirectUri": "https://your_confirmation_url",
"iframe": false,
"timeout": 30000
}{
"confirmationUrl": "https://www.ryanair.com/gb/en/flights-confirmation?partnerId=ATLAS&session=63361e2d-50fa-409c-bdc6-019d87660889&redirectUri=https://your_confirmation_url",
"status": 0,
"msg": null
}Was this helpful?

